<?php
namespace OrganizationsManagement\Factory;

use Teknisa\Model\Teknisa\Entities\OmServicoNotifAppParam as EntityOmServicoNotifAppParam;
use Teknisa\Libs\Util\Environment as TeknisaEnvironment;

class NotificationServicesApp{
    
    public function save(EntityOmServicoNotifAppParam $OmServicoNotifAppParam = null,  $idativo, $nmservnotifappparam, $dsservnotifappparam, $nrserviconotif_id, $currentOrganizationId, $currentUserId, $dateNow)
    {
        if ($OmServicoNotifAppParam === null) {
            $OmServicoNotifAppParam = new EntityOmServicoNotifAppParam();            
            $OmServicoNotifAppParam->setCdoperinclusao($currentUserId);
            $OmServicoNotifAppParam->setDtinclusao($dateNow);
            $OmServicoNotifAppParam->setNrorginclusao($currentOrganizationId);
        }
        
        $OmServicoNotifAppParam->setCdoperultatu($currentUserId);
        $OmServicoNotifAppParam->setDsservnotifappparam($dsservnotifappparam);
        $OmServicoNotifAppParam->setDtultatu($dateNow);
        $OmServicoNotifAppParam->setIdativo($idativo);
        $OmServicoNotifAppParam->setNmservnotifappparam($nmservnotifappparam);
        $OmServicoNotifAppParam->setNrorg($currentOrganizationId);
        $OmServicoNotifAppParam->setNrorgultatu($currentOrganizationId);
        $OmServicoNotifAppParam->setNrserviconotifId($nrserviconotif_id);
        
        return $OmServicoNotifAppParam;
        
    }
}