<?php
namespace OrganizationsManagement\Factory;
use Teknisa\Model\Teknisa\Entities\OmProdutoOrg as OrganizationProductEntity;
use Teknisa\Model\Util\NovoCodigo;

class ProdutoOrg {
    
    public function save(OrganizationProductEntity $organizationProduct = null, $nrOrgId, $nrProdutoId, $currentUserId, $currentOrganizationId, $dateNow, $idAtivo = 'S', $idProdutoSaas = 'S'){
        if(!$organizationProduct) {
            $organizationProduct = new OrganizationProductEntity();
            $novoCodigo = NovoCodigo::geraCodigo($currentOrganizationId, 'OM_PRODUTO_ORG', 1, 10, true, false);
            $organizationProduct->setId($novoCodigo);
            $organizationProduct->setNrorgId($nrOrgId);
            $organizationProduct->setDtinclusao($dateNow);
            $organizationProduct->setNrprodutoId($nrProdutoId);
            $organizationProduct->setNrorg($currentOrganizationId);
            $organizationProduct->setCdoperinclusao($currentUserId);
            $organizationProduct->setNrorginclusao($currentOrganizationId);
        }
        $organizationProduct->setIdprodutosaas($idProdutoSaas);
        $organizationProduct->setIdativo($idAtivo);
        $organizationProduct->setDtultatu($dateNow);
        $organizationProduct->setCdoperultatu($currentUserId);
        $organizationProduct->setNrorgultatu($currentOrganizationId);

        return $organizationProduct;
    }
}