<?php
namespace OrganizationsManagement\Service;
use \Doctrine\ORM\EntityManager;
use OrganizationsManagement\Util\Utilities;
use Teknisa\Model\Geral\Repositories as GeralRepositories;

class Cidade {

    private $entityManager;
    /** @var GeralRepositories\Municipio $repositoryCidade */
    private $repositoryCidade;

    public function __construct(EntityManager $entityManager){
        $this->entityManager = $entityManager;
        $this->repositoryCidade = $this->entityManager->getRepository(Utilities::GERAL_ENTITY_DIR . 'Municipio');
    }

    public function obtemPorSiglaEstado($sigla, $filters){
        return $this->repositoryCidade->obtemPorSiglaEstado($sigla, Utilities::createQueryFiltered($filters));
    }
}